<?php

/*
Plugin Name: Custom TinyMCE Shortcode Button
Plugin URI: http://www.nrowe.me/wordpress/plugins/custom-tinymce-shortcode-button
Description: Allows you to add a custom button to TinyMCE which will insert a custom shortcode into the editor. The shortcode can be customized to be any text. A custom button image can be added to the button.
Version: 1.1
Author: Nick Rowe
Author URI: http://www.nrowe.me
*/

include(dirname(__FILE__) . '/settings.php');

function get_button_options(){
	$sbscb_btn = get_option('stscb_btn');
	$stscb_btn_img = get_option('stscb_btn_img');	
	if(empty($sbscb_btn)){$sbscb_btn = '[custom-shortcode]';}
	if(empty($stscb_btn_img)){$stscb_btn_img = get_bloginfo('url').'/wp-content/plugins/custom-tinymce-shortcode-button/image.png';}
	echo '<script type="text/javascript">'."\n";
	echo "var sc_text = '". $sbscb_btn ."'\n";
	echo "var sc_img = '". $stscb_btn_img ."'\n";
	echo '</script>'."\n";
}

if(preg_match("/(post-new|post)\.php/", basename(getenv('SCRIPT_FILENAME')))){
	add_filter('admin_head', 'get_button_options');
}

add_filter('mce_external_plugins', "stscbplugin_register");
add_filter('mce_buttons', 'stscbplugin_add_button', 0);

function stscbplugin_add_button($button){
    array_push($button, "", "stscbplugin");
    return $button;
}

function stscbplugin_register($plugin_array){
    $plugin_array['stscbplugin'] = trim(get_bloginfo('url'), "/")."/wp-content/plugins/custom-tinymce-shortcode-button/stscb.js";
    return $plugin_array;
}

function wp_gear_manager_admin_scripts() {
	wp_enqueue_script('media-upload');
	wp_enqueue_script('thickbox');
	wp_enqueue_script('jquery');
}
add_action('admin_print_scripts', 'wp_gear_manager_admin_scripts');

function wp_gear_manager_admin_styles() {
	wp_enqueue_style('thickbox');
}
add_action('admin_print_styles', 'wp_gear_manager_admin_styles');

?>