<?php

function stscb_admin_menu_setup(){
	add_submenu_page('options-general.php', 'Custom TinyMCE Shortcode Button Setup', 'Shortcode Button', 'manage_options', 'stscb-page-elements', 'stscb_settings');
}

add_action("admin_menu", "stscb_admin_menu_setup");  

function stscb_settings(){

	$sc_name = $_POST['sc-name'];
	$sc_img_url = $_POST['sc-img-url'];
	$sc_init = $_POST['sc-init'];

	if( !empty($sc_init) ) {
		$error = false;
		
		if( !empty( $sc_name ) ) {
			if( (substr($sc_name , 0, 1) != '[') || ( substr($sc_name , strlen($sc_name)-1, strlen($sc_name) )) != ']' ) {
				$error = 'Shortcode is invalid.';
			}
		}
		
		if( $error ){
			echo '<div class="error settings-error"><p><strong>'. $error .'</strong></p></div>';
		} else {
			update_option('stscb_btn', $sc_name);
			update_option('stscb_btn_img', $sc_img_url);
			echo '<div class="updated" id="setting-error-settings_updated"><p><strong>Shortcode settings saved.</strong></p></div>';
		}
	}
	
	$stscb_btn = stripslashes(get_option('stscb_btn'));
	$stscb_btn_img = get_option('stscb_btn_img');
		
?>
	<style type="text/css">
		h2{font-family:"HelveticaNeue-Light","Helvetica Neue",sans-serif; font-weight:normal; margin:15px 0 0; text-shadow:0 1px 0 #fff}
		h4{color:#298CBA}
		input[type='text']{margin-right:10px; width:450px}
		form span {color:#999; font-size:10px; margin-left:5px}
		.hr{height:0px; border-top:1px solid #ddd; width:98%}
	</style>
	<h2>Custom TinyMCE Shortcode Button</h2> 
	<p>Create your own shortcode button for TinyMCE. In the shortcode field simply enter the shortcode that you wish the button to insert. For example [my-short-code].</p>
	<p>Images for the button can be added from any url or from the media library. Simply select the image you want to use and click the "Insert into Post" button. The optimum resolution is for the button image is 20x20.</p>
	<div class="hr"></div>
	<h4>Create a custom shortcode button</h4>
	<?php if((empty($stscb_btn)) && (empty($sc_img_url))){echo '<p>You haven\'t created a button yet. Let\'s get started.</p>';} ?>
	<form method="POST" action="<?php echo $_SERVER['PHP_SELF']; ?>?page=stscb-page-elements">
		<table cellpadding="5px" cellspacing="5">
			<tr>
				<td><label>Shortcode:</label></td>
				<td><input type="text" name="sc-name" value="<?php echo htmlentities($stscb_btn) ?>" /><span>IE: [my-short-code]</span></td>
			</tr>
			<tr>
				<td><label>Button Image URL:</label></td>
				<td>
					<input type="text" name="sc-img-url" id="upload_image" value="<?php echo $stscb_btn_img ?>" />
					<input type="hidden" name="sc-init" value="1" />
					<input type="button" value="Add Image" id="upload_image_button" class="button" />
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<br />
					<input type="submit" name="sc-submit" value="Save Button" class="button-primary" />
				</td>
			</tr>
		</table>
	</form>
	<br />
	<script type="text/javascript">
		jQuery(document).ready(function() {
			jQuery('#upload_image_button').click(function() {
			formfield = jQuery('#upload_image').attr('name');
			tb_show('', 'media-upload.php?type=image&TB_iframe=true');
			return false;
		});
		window.send_to_editor = function(html) {
			imgurl = jQuery('img',html).attr('src');
			jQuery('#upload_image').val(imgurl);
			tb_remove();
		}
	});
	</script>
<?php
}
?>